# schema_salad.tests.test_real_cwl

Checks loading of some real world tools and workflows found in the wild (e.g. dockstore)

run individually as py.test -k tests/test_real_cwl.py

## Attributes

`test_dir_name` |

## Classes

`TestRealWorldCWL` |

## Module Contents

schema_salad.tests.test_real_cwl.test_dir_name = 'tests/test_real_cwl/'

class schema_salad.tests.test_real_cwl.TestRealWorldCWL
  document_loader: schema_salad.ref_resolver.Loader
  avsc_names: schema_salad.avro.schema.Names | schema_salad.avro.schema.SchemaParseException | None = None
  schema_metadata: dict[str, Any] | None = None
  metaschema_loader: schema_salad.ref_resolver.Loader | None = None
  classmethod setup_class()
    Return type:

      None

  load_cwl(src)
    Parameters:

      src (str)

    Return type:

      None

  test_topmed_single_doc()

    TOPMed Variant Calling Pipeline CWL1

    Return type:

      None

  test_h3agatk_WES()

    H3ABioNet GATK Germline Workflow

    Return type:

      None

  test_h3agatk_SNP()

    H3ABioNet SNPs Workflow

    Return type:

      None

  test_icgc_pancan()

    ICGC PanCan

    Return type:

      None